Processing
Options
Usage
MagickWand
MagickCore
PerlMagick
Magick++
Unix
Windows
Unix
Mac OS X
Windows
Links

## IsMagickInstantiated

IsMagickInstantiated() returns MagickTrue if the ImageMagick environment is currently instantiated: MagickCoreGenesis() has been called but MagickDestroy() has not.

The format of the IsMagickInstantiated method is:

      MagickBooleanType IsMagickInstantiated(void)

## MagickCoreGenesis

MagickCoreGenesis() initializes the MagickCore environment.

The format of the MagickCoreGenesis function is:

      MagickCoreGenesis(const char *path,
        const MagickBooleanType establish_signal_handlers)

A description of each parameter follows:

##### path

the execution path of the current ImageMagick client.

##### establish_signal_handlers

set to MagickTrue to use MagickCore's own signal handlers for common signals.

## MagickCoreTerminus

MagickCoreTerminus() destroys the MagickCore environment.

The format of the DestroyMagick function is:

      MagickCoreTerminus(void)

Discourse Server • Mailing Lists • Studio